# Get download URL of videoselfie

`GET /omni/generateVideoSelfieDownloadUrl`

Base URL: `https://demo-api.incodesmile.com` — Incode demo environment

Get URL for downloading video recording of video selfie. This is temporary pre-signed url, that expires in 1 hour

## Path & query parameters

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| `interviewId` | query | string |  | Session ID for which url is generated. In case not set, interviewId will be determined from token from header. |
| `api-version` | header | string | yes |  |

## Responses

### 200

OK

### 400

Bad Request

Response body (`application/json`):

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `timestamp` | integer (int64) |  | UTC timestamp in milliseconds |
| `status` | integer (int32) |  | Custom error code or HTTP status code |
| `error` | string |  | HTTP status error |
| `message` | string |  | Custom error message |
| `path` | string |  | Endpoint path |
| `details` | object |  | Custom error details |
